* {
    --text: #eee5e1;
    --background: #070504;
    --primary: #FF4500;
    --secondary: #38746d;
    --accent: #657ab5;

    box-sizing: border-box;
}

html,body {
    margin: 0;
    padding: 0;
    font-family: Tahoma, "Trebuchet MS", sans-serif;
    background-color: var(--background);
    color: var(--text);
    overflow-x: hidden;
    font-size: 16px;
    width: 100%;
}

main {
    position: relative;
    left: 50%;
    transform: translate(-50%, 0);
    max-width: 1500px;
    width: 100%;
    margin: 0px;
}

@media screen and (max-width: 1500px) {
    main {
        position: relative;
        left: 0;
        transform: translate(0, 0);
        margin: 16px;
        width: calc(100% - 32px);
    }
}

h2 {
    font-size: 32px;
    text-align: center;
}

a {
    text-decoration: none;
    color: inherit;
}

.a {
    border-bottom: 1px solid var(--accent);
    transition-duration: .5s;
}

.a:hover {
    background-color: var(--accent);
    color: var(--background);
    padding: 0 2px;
}

hr {
    border: 1px solid var(--accent);
}


/* Nav */
nav {
    background-color: transparent;
    border-bottom: 1px solid var(--primary);
    position: fixed;
    width: 100%;
    z-index: 9;
    padding: 20px 0;
    height: 89px;
}

nav .container {
    max-width: 1200px;
    margin: 0 auto;
}

nav .left {
    float: left;
    display: block;
    text-decoration: none;
    color: var(--text);
    font-weight: 800;
    letter-spacing: 2px;
    font-size: 28px;
    position: relative;
    top: 50%;
    transform: translate(0, calc(-50% + 25px));
}

nav .left img {
    height: 35px;
    position: relative;
    top: 50%;
    transform: translate(0, calc(-50% + 25px));
}

nav .right {
    float: right;
    position: relative;
    top: 50%;
    transform: translate(0, calc(-50% + 25px));
}

nav .right.mobile {
    display: none;
}

nav .right a {
    color: var(--text);
    text-decoration: none;
    font-size: 20px;
    transition-duration: .5s;
    padding-left: 16px;
    cursor: pointer;
}

nav .right a button {
    font-size: 20px;
}

nav .right a:hover {
    color: var(--primary);
}

nav a.active {
    color: var(--primary);
}

@media screen and (max-width: 1200px) {
    nav .container {
        max-width: 100%;
        padding: 0 16px;
    }
}

@media screen and (max-width: 600px) {
    nav .right {
        display: none;
    }

    nav .right.mobile {
        display: block;
    }
}


/* Mobile Nav */
.mobileNav {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(180deg, var(--background), var(--background), rgba(0, 0, 0, 0));
    z-index: 99;
    text-align: center;
}

.mobileNav a {
    display: block;
    padding: 16px;
    font-size: 28px;
    transition-duration: .5s;
}

.mobileNav a:hover {
    color: var(--primary);
}

.mobileNav .close {
    position: absolute;
    right: 0;
    top: 0;
    font-size: 28px;
    transition-duration: .5s;
    height: 50px;
    width: 50px;
}

.mobileNav .close:hover {
    cursor: pointer;
    background-color: red;
}

.mobileNav .close i {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


/* Header */
header {
    height: 80vh;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: 100%;
}

header video {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    z-index: 0;
}

header .gradient {
    background: linear-gradient(180deg, var(--background), rgba(149, 75, 145, 0.0));
    z-index: 1;
    height: 100%;
    width: 100%;
    position: absolute;
}

header .content {
    position: absolute;
    top: 50%;
    left: 150px;
    transform: translate(0, -50%);
    width: 100%;
    z-index: 5;
}

@media screen and (max-width: 1200px) {
    header .content {
        left: 0;
        text-align: center;
    }
}

header .content h1 {
    font-size: 48px;
    margin-bottom: 20px;
}


/* Section */
section {
    height: 80vh;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
    width: 100%;
    max-height: 500px;
}

section img {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;
    object-position: center 35%;
    z-index: 0;
    filter: opacity(30%);
}

section .content {
    position: absolute;
    top: 50%;
    transform: translate(0, -50%);
    width: 100%;
    z-index: 5;
    text-align: center;
}

section .content h2 {
    font-size: 40px;
    margin-bottom: 20px;
}


/* Footer */
footer {
    padding: 20px;
}

.fColumn {
    float: left;
    width: 25%;
    padding: 0 10px;
}

.fRow {margin: 0 -5px;}

.fRow:after {
    content: "";
    display: table;
    clear: both;
}

@media screen and (max-width: 800px) {
    .fColumn {
        width: 100%;
        display: block;
        margin-bottom: 20px;
    }
}

.socialA {
    font-size: 20px;
    padding: 10px;
    transition-duration: .5s;
}

.socialA:hover {
    color: var(--accent);
}


/* Button */
button {
    border: 2px solid var(--primary);
    color: var(--primary);
    background-color: transparent;
    padding: 8px 16px;
    font-size: inherit;
    font-weight: 800;
    transition-duration: .5s;
}

button:hover {
    background-color: var(--primary);
    color: var(--background);
    cursor: pointer;
}


/* Column */
.column {
    float: left;
    width: 33.33%;
    padding: 0 10px;
}

.row {margin: 0 -5px;}

.row:after {
    content: "";
    display: table;
    clear: both;
}

@media screen and (max-width: 800px) {
    .column {
        width: 100%;
        display: block;
        margin-bottom: 20px;
    }
}

.card {
    border: 2px solid var(--accent);
    transition-duration: .5s;
    overflow: hidden;
}

.card img {
    width: 100%;
    height: 100%;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    object-position: center;
    transition-duration: .5s;
    overflow: hidden;
}

.card:hover {
    border-color: var(--secondary);
    background-color: var(--secondary);
}

.card:hover img {
    transform: scale(1.2);
    filter: opacity(80%);
}

.card .cardContent {
    padding: 16px;
}

.card .cardContent h3 {
    text-align: center;
}